# pandas.DataFrame.expanding

DataFrame.expanding(min_periods=1, center=None, axis=0, method='single')

  Provide expanding transformations.

  Parameters
    min_periods int, default 1

      Minimum number of observations in window required to have a value (otherwise result is NA).

    center bool, default False

      Set the labels at the center of the window.

    axis int or str, default 0
    method str {‘single’, ‘table’}, default ‘single’

      Execute the rolling operation per single column or row (`'single'`) or over the entire object (`'table'`).

      This argument is only implemented when specifying `engine='numba'` in the method call.

      New in version 1.3.0.

  Returns
    a Window sub-classed for the particular operation

  See also

  `rolling`

    Provides rolling window calculations.

  `ewm`

    Provides exponential weighted functions.

  Notes

  By default, the result is set to the right edge of the window. This can be changed to the center of the window by setting `center=True`.

  Examples

      >>> df = pd.DataFrame({"B": [0, 1, 2, np.nan, 4]})
      >>> df
           B
      0  0.0
      1  1.0
      2  2.0
      3  NaN
      4  4.0

      >>> df.expanding(2).sum()
           B
      0  NaN
      1  1.0
      2  3.0
      3  3.0
      4  7.0